ID非公開

2021/7/20 22:02

11回答

.htaccessの質問です。 使用しているサーバーはエックスサーバー。 現在、Aサイトで.htpasswd(ベーシック認証)を掛けています。

HTML、CSS | プログラミング23閲覧xmlns="http://www.w3.org/2000/svg">500

ベストアンサー

1

1人がナイス!しています

ID非公開

質問者2021/7/21 10:47

ありがとうございます。今日か明日の夜に試してみますね。助かります。 仮になのですが、 2.2互換記述ではなく、2.4に準拠した記述だとどのような記述になると予想されますでしょうか?(2.2互換が失敗したときに、サクっと訂正できればいいなと思いました。厚かましくてスミマセン・・・)

ThanksImg質問者からのお礼コメント

2.2でやってみたところ、 普通にIDとPASSが求められ 2.4だと、 500エラーに。 2.4の順番変更、 AuthT AuthN AuthU SetEnvIf Referer B <RequireAny> Require env allow_ref Require valid-user </RequireAny> 普通にIDとPASSが求められました。 どうやら難しいようです。

お礼日時:7/28 0:45